from pydantic import BaseModel, conint, conlist, constr
from typing import Optional, Union
from datetime import datetime


class AffectationBase(BaseModel):
    """
    Modèle représentant une affectation.
    """
    autre: Optional[str]
    categorieEmploiPoste: Optional[str]
    categorieFP: Optional[str]
    codeEmploiAffectation: Optional[str]
    codePosteAffectation: Optional[str]
    codeStructureNiv2: Optional[str]
    codeTypeAffectation: Optional[str]
    codeTypeRattachement: Optional[str]
    codeUOAffectation: Optional[str]
    corpsPoste: Optional[str]
    dateDebutAffectation: Optional[Union[str, datetime]]
    dateDebutPoste: Optional[Union[str, datetime]]
    dateFinAffectation: Optional[Union[str, datetime]]
    emploiPoste: Optional[str]
    libCourtAutre: Optional[str]
    libCourtCategorieFP: Optional[str]
    libCourtCorpsPoste: Optional[str]
    libCourtPoste: Optional[str]
    libLongCodeUOAffectation: str
    libLongEmploiAffectation: Optional[str]
    libLongPoste: Optional[str]
    libLongStructureNiv2: Optional[str]
    libLongTypeAffectation: Optional[str]
    libLongTypeRattachement: Optional[str]
    matricule: str
    numeroMinisteriel: Optional[str]
    quotiteAffectation: str
    situationPoste: Optional[str]
    temValidite: Optional[str]
    temoinPostePermanant: Optional[str]


class AffectationDAD(AffectationBase):
    codeTypeUOAffectation: Optional[str]
    libLongEmploiPoste: Optional[str]
    pass


class AffectationDA(AffectationBase):
    codeEtablissement: Optional[str]
    indiceMajore: Optional[int]
    libCourtEtablissement: Optional[str]
    libLongEtablissement: Optional[str]
    montantRemunerationMensuelle: Optional[float]


class AffectationRA(AffectationBase):
    codeEtablissement: Optional[str]
    indiceMajore: int
    montantRemunerationMensuelle: float