from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Carriere(BaseModel):

    ancConservee: Optional[str]
    codeChevron: Optional[str]
    codeCorps: Optional[str]
    codeEchelon: Optional[str]
    codeEtablissement: Optional[str]
    codeGrade: Optional[str]
    codeGroupeHierarchique: Optional[str]
    codeModeAcces: Optional[str]
    codeModeAccesCorps: Optional[str]
    codeQualiteStatutaire: Optional[str]
    dateDebutCorps: Optional[datetime]
    dateDebutGrade: Optional[datetime]
    dateEffetCarriere: Optional[datetime]
    dateFinCorps: Optional[datetime]
    dateFinGrade: Optional[datetime]
    indiceBrut: Optional[str]
    indiceMajore: Optional[str]
    indiceManuel: Optional[str]
    libCourtCategorieFP: Optional[str]
    libCourtEtablissement: Optional[str]
    libLongCategorieFP: Optional[str]
    libLongCorps: Optional[str]
    libLongEtablissement: Optional[str]
    libLongGrade: Optional[str]
    libLongGroupeHierarchique: Optional[str]
    libLongModeAcces: Optional[str]
    libLongModeAccesCorps: Optional[str]
    libLongQualiteStatutaire: Optional[str]
    matricule: str
    motifIndiceManuel: Optional[str]
    nbAnneesAncConservee: Optional[int]
    nbJoursAncConservee: Optional[int]
    nbMoisAncConservee: Optional[int]
    numeroCarriere: Optional[str]
    organismePrincipal: Optional[str]
    temEnseignantChercheur: Optional[str]
    temValiditeCarriere: Optional[int]


class CarriereOrigine(BaseModel):
    codeOrganismeOrigine: Optional[str]
    libLongOrganismeOrigine: Optional[str]
    libLongAutreOrganisme: Optional[str]
    dateDebut: Optional[datetime]
    dateFin: Optional[datetime]
    categorieFP: Optional[str]
    codeCorpsOrigine: Optional[str]
    libLongCorpsOrigine: Optional[str]
    libCourtCorpsOrigine: Optional[str]
    dateEntreeCorps: Optional[datetime]


class CarriereProchainEchelon(BaseModel):
    matricule: str
    codeEtablissement: Optional[str]
    datePrevisionnelleAvancEchelon: Optional[datetime]
    codeGradeActuel: Optional[str]
    libLongGradeActuel: Optional[str]
    codeEchelonActuel: Optional[str]
    ancAnnees: Optional[int]
    ancienneteMois: Optional[int]
    ancienneteJours: Optional[int]
    codeGradePrevisionnel: Optional[str]
    libLongGradePrevisionnel: Optional[str]
    codeEchelonPrevisionnel: Optional[str]
    indiceBrutPrevisionnel: Optional[str]
    indiceMajorePrevisionnel: Optional[int]


class CarriereTableauAvancement(BaseModel):
    matricule: str
    codeEtablissement: Optional[str]
    dateEffetCarriere: Optional[datetime]
    codeTypeAvancement: Optional[str]
    codeCorpsActuel: Optional[str]
    libLongCorpsActuel: Optional[str]
    codeGradeActuel: Optional[str]
    libLongGradeActuel: Optional[str]
    libCourtCategorieFPActuel: Optional[str]
    libLongCategorieFPActuelle: Optional[str]
    ancienneteCorps: Optional[str]
    ancienneteGrade: Optional[str]
    ancienneteCategorieFP: Optional[str]
    codeCorpsPropose: Optional[str]
    libLongCorpsPropose: Optional[str]
    codeGradePropose: Optional[str]
    libLongGradePropose: Optional[str]
    libCourtCategorieFPProposee: Optional[str]
    libCategorieFPProposee: Optional[str]

