from pydantic import BaseModel, conint, conlist, constr
from typing import Optional
from datetime import datetime


class Diplome(BaseModel):
    """
    Modèle représentant un diplôme.
    """
    codeTypeDiplome: str
    dateObtentionDiplome: datetime
    libLongNiveauDiplome: str
    libLongTypeDiplome: str
    libOfficielDiplome: str
    libSpecialiteDiplome: Optional[str]
    matricule: str
    niveauDiplome: str
    specialiteDiplome: Optional[str]
    statutDiplome: str


class DistinctionHonorifique(BaseModel):
    dateAttribution: datetime
    distinctionHonorifique: Optional[str]
    libelleLongDistinctionHonorifique: Optional[str]
    codeAssociation: Optional[str]
    libelleLongCodeAssociation: Optional[str]
    nomAssociation : Optional[str]
    motifDistinction: Optional[str]
    niveauAutoriteDist: Optional[str]
    libelleLongNiveauAutorite: Optional[str]
    dateProposition: Optional[datetime]
    dateRemise: Optional[datetime]
    dateFin: Optional[datetime]
    motifFin: Optional[str]
    gradeOrdre: Optional[str]
    libelleLongGradeOrdre: Optional[str]
    niveauMedaille: Optional[str]
    libelleLongNiveauMedaille: Optional[str]
    typeOrnement: Optional[str]
    libelleLongTypeOrnement: Optional[str]
    ornement: Optional[str]
    libelleLongOrnement: Optional[str]
    titreAttribution: Optional[str]
    libelleLongTitreAttribution: Optional[str]
    typeRecompense: Optional[str]
    libelleLongTypeRecompense: Optional[str]
    modeAttribution: Optional[str]
    libelleLongModeAttribution: Optional[str]
