from pydantic import BaseModel, conint, conlist, constr
from typing import Optional, Union
from datetime import datetime


class PositionAdministrativeBase(BaseModel):
    codeEtablissement: Optional[str]
    codeMotifPosition: Optional[str]
    codePositionAdmin: str
    codePositionStatutaire: str
    dateDebutPositionAdmin: Union[str, datetime]
    dateFinPrevuePositionAdmin: Optional[Union[str, datetime]]
    dateFinReellePositionAdmin: Optional[Union[str, datetime]]
    libLongMotifPosition: Optional[str]
    libLongPositionAdmin: Optional[str]
    libLongPositionStatutaire: str
    matricule: str
    temValiditePosition: str


class PositionAdministrativeDA(PositionAdministrativeBase):
    libCourtEtablissement: Optional[str]
    libLongEtablissement: Optional[str]
    codeModaliteDelegation: Optional[str]
    libModaliteDelegation: Optional[str]


class PositionAdministrativeRA(PositionAdministrativeBase):
    pass
