from typing import Optional, List
from pydantic import BaseModel


class AnomalieWebService(BaseModel):
    anomalie: str
    description: Optional[str]
    statutMAJ: Optional[str]


class AnomalieResponse(BaseModel):
    listeAnomaliesWebServices: List[AnomalieWebService]
    matricule: str
    statut: str


class InformationPEC(AnomalieResponse):
    pass


class InformationCLD(AnomalieResponse):
    pass