from pydantic import BaseModel
from typing import Optional, Union
from datetime import datetime


class NomenclatureBase(BaseModel):
    """
    Représentation d'une nomenclature.
    """
    codeAdministration: Optional[str]
    codeNomenclature: str
    codeRepertoire: str
    dateDebutValiditeNomenclature: Optional[Union[datetime, str]]
    dateFinValiditeNomenclature: Optional[Union[datetime, str]]
    libCourtNomenclature: str
    libLongNomenclature: str


class NomenclatureDP(NomenclatureBase):
    temEnseignantGpeHierarchique: Optional[str]
    temEnseignantPIP: Optional[str]
    typeRemuneration: Optional[str]


class NomenclaturePEC(NomenclatureBase):
    ERREUR_GENERALE: Optional[str] = None
    REPERTOIRE_INEXISTATN: Optional[str] = None


class NomenclatureLP(BaseModel):
    codeInformation: str
    codeRepertoire: str
