from pydantic import BaseModel
from datetime import datetime


class ParamMatricule(BaseModel):
    matricule: str


class ParamAbsenceConges(BaseModel):
    code_absence_conges: str


class ParamAffectationUO(BaseModel):
    code_uo: str
    temoin_uo_fille: str
    type_lien_affectation_uo: str


class ParamCorps(BaseModel):
    code_corps: str


class ParamFonction(BaseModel):
    code_fonction: str
    code_type_fonction: str


class ParamGrades(BaseModel):
    code_grade: str


class ParamGroupeHierarchique(BaseModel):
    code_groupe_hierarchique: str


class ParamModaliteService(BaseModel):
    code_modalite_service: str


class ParamPIP(BaseModel):
    code_pip: str


class ParamPositionsAdministratives(BaseModel):
    code_position_administrative: str


class ParamQualitesStatutaires(BaseModel):
    code_qualite_statutaire: str


class ParamResponsHierarchiqUO(BaseModel):
    code_uo_responsable: str


class ParamTypeContrat(BaseModel):
    code_type_contrat: str
    mode_gest: str


class ParamSpecialitesNiv1Agent(BaseModel):
    code_specialite_niv_1_agt: str
    code_type_specialite_agent: str
    temoin_heritage: str
    tem_enseignant_chercheur: str


class ParamCarriere(BaseModel):
    chevron_carriere: str
    date_effet_carriere: datetime
    date_fin: datetime
    echelon: str
    grade: str
    indice_brut: str
    indice_majore: str
    mode_acces_echelon: str
    mode_acces_grade: str
    numCarriere: str
    numord: str
    qualite_statutaire: str
    tem_rem_acessoire: str
    temoin_validite: str


class ParamContrats(BaseModel):
    chevron_contrat: str
    commentaire_contrat: str
    date_debut_contrat: datetime
    date_fin_contrat: datetime
    debut_periode_essai: datetime
    devise_remuneration_contrat: str
    fin_periode_essai: str
    grade_tg: str
    hors_echelle_lettre: str
    indice_remu: str
    mode_de_gestion: str
    mode_remuneration: str
    nature_contrat: str
    nb_heures_contrat: str
    pourcentage: int
    remuneration_contrat: int
    taux_horaires: float
    temoin_validite: str
    type_contrat: str
    type_lien_juridique: str


class ParamCoordonneesPostales(BaseModel):
    bis_ter: str
    bureau_distributeur: str
    insefr: str
    code_pays: str
    code_postal: str
    commune: str
    complement_adresse: str
    debut_adresse: str
    fin_adresse: str
    nature_voie: str
    nom_voie: str
    num_adresse: str
    tem_adresse_principale: str
    temoin_validite: str
    type_adresse: str


class ParamCoordonneesBancaires(BaseModel):
    cle_compte: str
    code_agence: str
    code_banque: str
    date_deb_banque: datetime
    date_fin_banque: datetime
    iban: str
    libelle_agent: str
    mode_paiement: str
    num_compte: str
    pays_banque: str
    swift: str
    temoin_validite: str


class ParamModalitesServicesPEC(BaseModel):
    date_effet_modalite: datetime
    modalite: str
    temoin_validite: str


class ParamNationalites(BaseModel):
    mode_acquisition_nationalite: str
    nationalite: str
    tem_principale: str


class ParamNumerosTelephone(BaseModel):
    date_debut_tel: datetime
    numero: str
    type_numero: str


class ParamPostions(BaseModel):
    date_effet_position: datetime
    date_fin_prevue: datetime
    date_fin_reelle: datetime
    position: str
    temoin_validite: str


class ParamStatuts(BaseModel):
    date_effet_statut: datetime
    statut: str
    temoin_validite: str


class ParamSituationsFamiliales(BaseModel):
    date_effet_situ_fam: datetime
    situ_fam: str
    temoin_validite: str
