from pydantic import BaseModel
from typing import List, Optional
from wssiham.model.agent.carriere import Carriere, CarriereOrigine
from wssiham.model.agent.contrat import ContratRA
from wssiham.model.agent.positionAdministrative import PositionAdministrativeRA
from wssiham.model.agent.affectation import AffectationDA
from wssiham.model.agent.modaliteService import ModaliteService
from wssiham.model.agent.conge import AbscenceConge
from wssiham.model.agent.notation import Notation
from wssiham.model.agent.pip import Pip
from wssiham.model.agent.specialite import Specialite
from wssiham.model.agent.service import ServiceValide


class InformationAdministrative(BaseModel):
    """
    Modèle représentant les informations administratives d'une personne.
    """
    listeAbsencesConges: Optional[List[AbscenceConge]]
    listeAffectations: List[AffectationDA]
    listeCarrieres: List[Carriere]
    listeCarrieresOrigines: List[CarriereOrigine]
    listeContrats: Optional[List[ContratRA]]
    listeModalitesServices: List[ModaliteService]
    listeNotations: Optional[List[Notation]]
    listePIP: List[Pip]
    listePositionsAdministratives: List[PositionAdministrativeRA]
    listeServicesValides: List[ServiceValide]
    listeSpecialites: List[Specialite]


class InformationAdministrativeList(BaseModel):
    informationAdministrative: List[InformationAdministrative]
