from pydantic import BaseModel
from wssiham.model.nomenclature.information import NomenclatureLP
from typing import List


class NomenclatureModifieList(BaseModel):
    """
    Représente une liste de nomenclature modifie.

    **Attributs**

    * `nomenclature_modifie` : une liste d'instances de la classe `NomenclatureModifie`.

    **Exemple**

    ```python
    nomenclature_list = NomenclatureModifieList(
        nomenclature_modifie=[
            NomenclatureModifie(
                codeInformation="XXXXXXXXXXXX",
                codeRepertoire="XXXX"
            ),
            NomenclatureModifie(
                codeInformation="XXXXXXXXXXXX",
                codeRepertoire="XXX"
            )
        ]
    )
    ```
    """

    nomenclature_modifie: List[NomenclatureLP]