from typing import List, Optional
from pydantic import BaseModel
from wssiham.model.agent.informationIndividuel import InformationIndividuelRA
from wssiham.model.agent.affectation import AffectationRA
from wssiham.model.agent.contrat import ContratRA
from wssiham.model.agent.positionAdministrative import PositionAdministrativeRA
from wssiham.model.agent.statut import StatutRA


class Personnel(BaseModel):
    donneesPersonnelles: InformationIndividuelRA
    ERREUR_GENERALE: Optional[str]
    listeAffectations: List[AffectationRA]
    listeContrats: Optional[List[ContratRA]]
    listePositionsAdministratives: List[PositionAdministrativeRA]
    listeStatuts: List[StatutRA]


class PersonnelList(BaseModel):
    """
    Liste de personnel.
    """
    personnels: List[Personnel]
